from wtforms import Form,StringField
from wtforms.validators import Email,InputRequired,NumberRange,Regexp,URL,UUID

class RegisterForm(Form):
    # pip install wtforms[email]
    email = StringField(validators=[Email()])
    uname = StringField(validators=[InputRequired()])
    age = StringField(validators=[NumberRange(min=18,max=50)])
    phone = StringField(validators=[Regexp('1[3456789]\d{9}')])
    homepage = StringField(validators=[URL()])
    uuid = StringField(validators=[UUID()])
    
